<?php
$r= '../';
require_once($r."inc/funciones.php");
$mysqli = connectDB($r);

if(isset($_POST['permiso'])){
    $perfil = $_POST['permiso'];
    $idpermiso = $_POST['id'];
    $estado = sinfo('z_roles', $idpermiso)[$perfil];
    if ($estado) {
        $mysqli->query("UPDATE `z_roles` SET `$perfil` = '0' WHERE `id` = $idpermiso");
        $response['success'] = true;
        $response['class'] = 'text-secondary fa fa-times fa-2x mr-1';
        $response['message'] = 'Desactivado '; // La página a la que quieres redirigir en caso de éxito
    } else {
        $mysqli->query("UPDATE `z_roles` SET `$perfil` = '1' WHERE `id` = $idpermiso");
        $response['success'] = true;
        $response['class'] = 'text-success fa fa-check fa-2x  mr-1';
        $response['message'] = 'Activado'; // Puedes proporcionar un mensaje de error específico
    }
    header('Content-Type: application/json');
    
    echo json_encode($response);
}

// Crear un Nuevo Perfil
// ALTER TABLE `z_perfiles` ADD `visible` BOOLEAN NOT NULL DEFAULT TRUE AFTER `sigla`;